local api = vim.api

api.nvim_set_keymap("n", "<leader>zn", ":TZNarrow<CR>", {})
api.nvim_set_keymap("v", "<leader>zn", ":'<,'>TZNarrow<CR>", {})
api.nvim_set_keymap("n", "<leader>zf", ":TZFocus<CR>", {})
api.nvim_set_keymap("n", "<leader>zm", ":TZMinimalist<CR>", {})
api.nvim_set_keymap("n", "<leader>za", ":TZAtaraxis<CR>", {})

return {
  "Pocco81/true-zen.nvim",
  -- Twilight allows to dim text outside of the cursor line.
  dependencies = {
    "folke/twilight.nvim",
    opts = {
      -- Set the context to null in order to avoid highlighting to much
      -- paragraphs in markdown.
      context = 0,
    },
  },
  config = function ()
    require('true-zen').setup({
      modes = {
        ataraxis = {
          minimum_writing_area = {
            width = 100
          }
        }
      },
      integrations = {
        twilight = true,
        lualine = true
    }
  })
  end
}
